Startup Issue with Minecraft - The server won't start

System Information

Field Value
Operating System Linux - Debian GNU/Linux 12 on x86_64
Product AMP ‘Callisto’ v2.5.0.8 (Mainline)
Virtualization Docker
Application Minecraft
Module MinecraftModule
Running in Container Yes
Current State Failed

Problem Description

Issue

This is the Error I get in the console after trying to start the server:
Error: LinkageError occurred while loading main class net.minecraft.bundler.Main
java.lang.UnsupportedClassVersionError: net/minecraft/bundler/Main has been compiled by a more recent version of the Java Runtime (class file version 65.0), this version of the Java Runtime only recognizes class file versions up to 62.0

Reproduction Steps

  • I created a brand new AMP server
  • I made sure it was the latest Minecraft edition and changed the seed
  • I tried to start the amp and it didn’t work

Minecraft 1.20.6 needs Java 21 to run

The amp server only goes up to Java 18

Stop the instance and update it from the main panel

It worked. Thank you for the help as always. I feel like the problems are very complicated yet everytime you help you make them much simpler.